.PHONY: clean, all
CC = gcc
CFLAGS = -g -Wall

all: group

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

group: group.o mergeSort.o
	$(CC) $(CFLAGS) -o $@ $+ $(LDFLAGS)

clean:
	rm -f *.o core.*
	rm -f group

run: group
	./$<
